> ## Documentation Index
> Fetch the complete documentation index at: https://docs.costory.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get cost alert destination options



## OpenAPI

````yaml /api-reference/openapi.json get /alerts-v2/costAlerts/configurationFormData
openapi: 3.0.0
info:
  title: Costory
  version: '1.0'
  description: API Documentation
servers:
  - url: ''
    description: Production server
security: []
paths:
  /alerts-v2/costAlerts/configurationFormData:
    get:
      tags:
        - Alerts V2
      summary: Get cost alert destination options
      operationId: getCostAlertConfigurationV2
      responses:
        '200':
          description: Slack, Teams, and email destination options
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CostAlertConfigurationFormData'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Unauthorized'
      security:
        - bearerAuth: []
components:
  schemas:
    CostAlertConfigurationFormData:
      type: object
      properties:
        availableSlackChannels:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              isDirectMessage:
                type: boolean
            required:
              - id
              - name
        availableTeamsChannels:
          type: array
          items:
            type: object
            properties:
              id:
                type: string
              name:
                type: string
              isDirectMessage:
                type: boolean
            required:
              - id
              - name
        availableEmailRecipients:
          type: array
          items:
            type: object
            properties:
              email:
                type: string
                format: email
              name:
                type: string
            required:
              - email
              - name
      required:
        - availableSlackChannels
        - availableTeamsChannels
        - availableEmailRecipients
    Unauthorized:
      type: object
      properties:
        error:
          type: string
          description: Unauthorized error message
      required:
        - error
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT or Clerk ak_* API key
      description: >-
        Send `Authorization: Bearer <credential>` using either a Clerk session
        JWT or a Clerk API key (`ak_*`). API keys may identify a user (`user_*`)
        or organization (`org_*`) principal and are generated in the Clerk
        Dashboard under API keys.

````